For the complete documentation index, see llms.txt. This page is also available as Markdown.

Delete suppression

Remove an email from the suppression list to allow sending again.

delete
Authorizations
Api-TokenstringRequired

API token in Api-Token header

Path parameters
suppression_idstring · uuidRequired

The suppression UUID

Example: 64d71bf3-1276-417b-86e1-8e66f138acfe
Responses
200

Suppression deleted

application/json
idstring · uuidOptional

The suppression UUID

Example: 64d71bf3-1276-417b-86e1-8e66f138acfe
typestring · enumOptional

Reason for the suppression

Example: hard bouncePossible values:
created_atstring · date-timeOptionalExample: 2025-01-15T10:30:00Z
emailstring · emailOptionalExample: suppressed@example.com
sending_streamstring · enumOptionalExample: transactionalPossible values:
domain_namestring · nullableOptionalExample: example.com
message_bounce_categorystring · nullableOptional
message_categorystring · nullableOptional
message_client_ipstring · nullableOptional
message_created_atstring · nullableOptional
message_esp_responsestring · nullableOptional
message_esp_server_typestring · nullableOptional
message_outgoing_ipstring · nullableOptional
message_recipient_mx_namestring · nullableOptional
message_sender_emailstring · nullableOptional
message_subjectstring · nullableOptional
delete/api/suppressions/{suppression_id}
curl -X DELETE https://mailtrap.io/api/suppressions/{suppression_id} \
  -H 'Authorization: Bearer YOUR_API_KEY'
{
  "id": "64d71bf3-1276-417b-86e1-8e66f138acfe",
  "type": "hard bounce",
  "created_at": "2025-01-15T10:30:00Z",
  "email": "suppressed@example.com",
  "sending_stream": "transactional",
  "domain_name": "example.com",
  "message_bounce_category": null,
  "message_category": null,
  "message_client_ip": null,
  "message_created_at": null,
  "message_esp_response": null,
  "message_esp_server_type": null,
  "message_outgoing_ip": null,
  "message_recipient_mx_name": null,
  "message_sender_email": null,
  "message_subject": null
}

Last updated

Was this helpful?